using Edu.Common.Plugin;
using System;
using System.Collections.Generic;
using System.Text;

namespace Edu.Common.Enum.WeChat
{
    /// <summary>
    /// 企业微信上传类型枚举
    /// </summary>
    public enum MediumTypeEnum
    {
        /// <summary>
        /// 文本
        /// </summary>
        [EnumField("文本")]
        Text = 1,
        /// <summary>
        /// 图片
        /// </summary>
        [EnumField("图片")]
        Image = 2,
        /// <summary>
        /// 图文
        /// </summary>
        [EnumField("图文")]
        ImgText = 3,
        /// <summary>
        /// 音频
        /// </summary>
        [EnumField("音频")]
        Audio = 4,
        /// <summary>
        /// 视频
        /// </summary>
        [EnumField("视频")]
        Video = 5,
        /// <summary>
        /// 小程序
        /// </summary>
        [EnumField("小程序")]
        Applet = 6,
        /// <summary>
        /// 文件素材
        /// </summary>
        [EnumField("文件素材")]
        File = 7
    }
}
